unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, gtJPEGEng, gtClasses3,
  gtCstDocEng, gtCstGfxEng, gtUtils3, jpeg, gtCstPlnEng, gtCstPDFEng,
  gtExPDFEng, gtPDFEng;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  gtJPEGEngine1: TgtJPEGEngine;
  Image1: TJPEGImage;
begin
  // Vorlagenbild laden
  Image1 := TJPEGImage.Create;
  Image1.LoadFromFile('protest.jpg');

  // Eine JPEG-Engine erzeugen
  gtJPEGEngine1 := TgtJPEGEngine.Create(Nil);

  with gtJPEGEngine1 do begin
    Preferences.ShowSetupDialog := false;
    Preferences.OpenAfterCreate := true;
    MeasurementUnit :=  muPixels;

    // JPEG-Encoding Einstellungen setzen
    PixelFormat := pf24bit;
    ProgressiveEncoding := true; // Webfreundlich
    Quality := 80;  // Ein guter Kompromiss

    // Gre der Vorlage bernehmen
    with Page do begin
      PaperSize := Custom;
      Width := Image1.Width;
      Height := Image1.Height;
    end;

    // Textrotation an die Ausrichtung der Vorlage anpassen
    SetTextRotation(5);

    // Erstes Bild
    FileName := 'Protest1.jpg';
    // Schrift einstellen
    Font.Name := 'Comic Sans MS';
    Font.Size := 40;
    Font.Color := clRed;

    BeginDoc;
      // Vorlagenbild zeichnen
      DrawImage(gtRect(0,0, 640, 480), TGraphic(Image1));
      // Text ber die Vorlage zeichnen
      TextOut(250,100, 'Stop');
      TextOut(225,200, 'Cartoon');
      TextOut(225,300, 'Violence');
    EndDoc;  // Bild in Datei speichern

    // Zweites Bild
    FileName := 'Protest2.jpg';
    SetTextRotation(5);
    Font.Size := 28;
    Font.Color := clWebBlueViolet;

    BeginDoc;
      DrawImage(gtRect(0,0, 640, 480), TGraphic(Image1));
      TextOut(225,120, 'Save the');
      TextOut(230,220, 'WHALES!');
      TextOut(165,320, 'Collect all of them.');
    EndDoc;

    Image1.Free;
  end;
end;

end.
